This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497038 - [Indic][QT] Input is not working with KDE applications
[Indic][QT] Input is not working with KDE applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On: 497971
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 01:00 EDT by A S Alam
Modified: 2013-07-02 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 02:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2009-04-22 01:00:23 EDT
Description of problem:
ibus input is not working with konqueror, kmail, kate etc application.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090417-1
qt-4.5.0-14.fc11
kdebase-4.2..2-2

How reproducible:
Everytime

Steps to Reproduce:
1. start any kde application
2. Press Ctrl+SPace (to activate iBus)
3.
  
Actual results:
Not working 

Expected results:
Should work

Additional info:
Gnome application works fine, but KDE No
Comment 1 A S Alam 2009-04-22 01:01:30 EDT
there is no ibus-qt package available, while ibus-gtk is there
Comment 2 Peng Huang 2009-04-22 01:07:07 EDT
Currently, we can only use XIM in kde desktop.
Comment 3 A S Alam 2009-04-22 03:01:47 EDT
oh, Is it working automatic? or need to set variable
Comment 4 Peng Huang 2009-04-22 03:06:56 EDT
I think im-chooser will do it for you. Please use im-chooser to select ibus, and relogin kde desktop.
Comment 5 A S Alam 2009-04-22 06:11:31 EDT
No, it is not working with im-chooser (ibus was selcted there)
1) If I login to KDE desktop
2) or start kde application in gnome desktop
Comment 6 Jens Petersen 2009-04-28 00:33:07 EDT
Only for Nepali?

Works ok for me with Japanese at least.
Comment 7 Jens Petersen 2009-04-28 00:40:53 EDT
Hmm reproduced...
Comment 8 A S Alam 2009-04-28 00:47:02 EDT
it is all Indic, Tested for Benglai, Gujarati, Hindi, Punjabi, Tamil. Not working for any of those.
Comment 9 Peng Huang 2009-04-28 01:51:59 EDT
What's the locale names for them?
Comment 10 A S Alam 2009-04-28 03:43:33 EDT
Locale are following:
Bengali - bn_IN
Gujarat - gu_IN
Hindi - hi_IN
Punjabi - pa_IN
Tamil - ta_IN
Comment 11 A S Alam 2009-04-29 03:53:05 EDT
I fresh installed RC (20090428 rawhide), input was working with following things:
*) Punjabi (pa_IN) language installation
*) KDE Desktop selected at time of install with Gnome
*) login in KDE desktop
*) no setting done (for im-chooser or keyboard layout)

Note You need to log in before you can comment on or make changes to this bug.